Package org.apache.tapestry5.ioc

## Class IOCSymbols

- java.lang.Object
- - org.apache.tapestry5.ioc.IOCSymbols

-     public class IOCSymbols
      extends java.lang.Object

  Configuration symbols used by the IoC container.
  Since:
    5.2.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `THREAD_POOL_CORE_SIZE` | The minimum size of the thread pool.
    `static java.lang.String` | `THREAD_POOL_ENABLED` | By default, the `ParallelExecutor` service uses a thread pool.
    `static java.lang.String` | `THREAD_POOL_KEEP_ALIVE` | Time in milliseconds (via `TimeInterval`) to keep waiting threads alive.
    `static java.lang.String` | `THREAD_POOL_MAX_SIZE` | Maximium size of the thread pool, which defaults to 10.
    `static java.lang.String` | `THREAD_POOL_QUEUE_SIZE` | The size of the task queue.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IOCSymbols()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THREAD_POOL_CORE_SIZE

          public static final java.lang.String THREAD_POOL_CORE_SIZE

      The minimum size of the thread pool. The default is 3. When a task is created and there are fewer than this number of threads in the pool, a new thread is created for the task.
      See Also:
        Constant Field Values

    - #### THREAD_POOL_QUEUE_SIZE

          public static final java.lang.String THREAD_POOL_QUEUE_SIZE

      The size of the task queue. When there are at least the core number of threads in the pool, tasks will be placed in the queue. If the queue is empty, more threads may be created (up to the maximum pool size). If the queue is full and all threads have been created, the task is rejected. The default is 100.
      Since:
        5.3
      See Also:
        Rules of a ThreadPoolExecutor pool size , Constant Field Values

    - #### THREAD_POOL_MAX_SIZE

          public static final java.lang.String THREAD_POOL_MAX_SIZE

      Maximium size of the thread pool, which defaults to 10.
      See Also:
        Constant Field Values

    - #### THREAD_POOL_KEEP_ALIVE

          public static final java.lang.String THREAD_POOL_KEEP_ALIVE

      Time in milliseconds (via `TimeInterval`) to keep waiting threads alive. Default is one minute.
      See Also:
        Constant Field Values

    - #### THREAD_POOL_ENABLED

          public static final java.lang.String THREAD_POOL_ENABLED

      By default, the `ParallelExecutor` service uses a thread pool. In environments (such as Google Application Engine) where thread creation is not allowed, this can be set to "false", and deferred logic will, instead, execute immediately.
      Since:
        5.1.0.3
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IOCSymbols

          public IOCSymbols()